Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.injac.cocoon.actions
Class DisplayFileAction

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.acting.AbstractAction
              org.injac.cocoon.actions.DisplayFileAction

All Implemented Interfaces:
  org.apache.cocoon.acting.Action, org.apache.avalon.framework.component.Component, org.apache.avalon.framework.logger.LogEnabled

public class DisplayFileAction
extends org.apache.cocoon.acting.AbstractAction

Author:
  shoam * * TODO To change the template for this generated type comment go to * Window - Preferences - Java - Code Style - Code Templates

Field Summary

Fields inherited from interface org.apache.cocoon.acting.Action
`ROLE`

Constructor Summary
`DisplayFileAction()`

Method Summary
`java.util.Map` | `act(org.apache.cocoon.environment.Redirector redirector, org.apache.cocoon.environment.SourceResolver resolver, java.util.Map objectModel, java.lang.String source, org.apache.avalon.framework.parameters.Parameters params)` Action testant les MD passés dans le paramètre reqparams selon la règle suivante : - md1 : injac-type - md2 : root-doc-name - md3 : root-file-name
`void` | `buildResponse(java.util.Map sitemapParams)`
`void` | `connect(java.lang.String connexionString)` Connect to the WebDAV server

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplayFileAction

    public DisplayFileAction()

Method Detail

### act

    public java.util.Map act(org.apache.cocoon.environment.Redirector redirector,
                             org.apache.cocoon.environment.SourceResolver resolver,
                             java.util.Map objectModel,
                             java.lang.String source,
                             org.apache.avalon.framework.parameters.Parameters params)
                      throws java.lang.Exception

  Action testant les MD passés dans le paramètre reqparams selon la règle suivante : - md1 : injac-type - md2 : root-doc-name - md3 : root-file-name

  Throws:
    `java.lang.Exception`

### buildResponse

    public void buildResponse(java.util.Map sitemapParams)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### connect

    public void connect(java.lang.String connexionString)
                 throws java.lang.Exception

  Connect to the WebDAV server

  Throws:
    `java.rmi.ServerException`
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD